typedef   signed char       int8;
typedef unsigned char      uint8;
typedef   signed short      int16;
typedef unsigned short     uint16;
typedef   signed int        int32;
typedef unsigned int       uint32;
typedef   signed long long  int64;
typedef unsigned long long uint64;
typedef struct { char *data; int64 len; int64 size; } FBSTRING;
typedef int8 boolean;
typedef int64 $8FB_TOKEN;
typedef int64 $13AST_NODECLASS;
typedef int64 $12FB_SYMBCLASS;
typedef int64 $13FB_SYMBATTRIB;
typedef int64 $13FB_PROCATTRIB;
typedef int64 $12FB_SYMBSTATS;
struct $9FB_SYMBID {
	char* NAME;
	char* ALIAS;
	char* MANGLED;
};
#define __FB_STATIC_ASSERT( expr ) extern int __$fb_structsizecheck[(expr) ? 1 : -1]
__FB_STATIC_ASSERT( sizeof( struct $9FB_SYMBID ) == 24 );
typedef int64 $11FB_DATATYPE;
struct $8FBSYMBOL;
struct $7ASTNODE;
struct $10FBARRAYDIM {
	int64 LOWER;
	int64 UPPER;
};
__FB_STATIC_ASSERT( sizeof( struct $10FBARRAYDIM ) == 16 );
struct $9FBS_ARRAY {
	int64 DIMENSIONS;
	struct $10FBARRAYDIM* DIMTB;
	int64 DIFF;
	int64 ELEMENTS;
	struct $8FBSYMBOL* DESC;
	struct $8FBSYMBOL* DESCTYPE;
};
__FB_STATIC_ASSERT( sizeof( struct $9FBS_ARRAY ) == 48 );
struct $10FBVAR_DESC {
	struct $8FBSYMBOL* ARRAY;
};
__FB_STATIC_ASSERT( sizeof( struct $10FBVAR_DESC ) == 8 );
struct $10FBVAR_DATA {
	struct $8FBSYMBOL* PREV;
};
__FB_STATIC_ASSERT( sizeof( struct $10FBVAR_DATA ) == 8 );
struct $7FBS_VAR {
	union {
		char* LITTEXT;
		uint32* LITTEXTW;
		struct $7ASTNODE* INITREE;
	};
	struct $9FBS_ARRAY ARRAY;
	struct $10FBVAR_DESC DESC;
	int64 STMTNUM;
	int64 ALIGN;
	struct $10FBVAR_DATA DATA;
	int64 BITPOS;
	int64 BITS;
};
__FB_STATIC_ASSERT( sizeof( struct $7FBS_VAR ) == 104 );
union $7FBVALUE {
	struct $8FBSYMBOL* S;
	int64 I;
	double F;
};
__FB_STATIC_ASSERT( sizeof( union $7FBVALUE ) == 8 );
struct $9FBS_CONST {
	union {
		union $7FBVALUE VALUE;
		struct $8FBSYMBOL* S;
		int64 I;
		double F;
	};
	int64 HASSUFFIX;
};
__FB_STATIC_ASSERT( sizeof( struct $9FBS_CONST ) == 16 );
struct $10FBSYMBOLTB {
	struct $8FBSYMBOL* OWNER;
	struct $8FBSYMBOL* HEAD;
	struct $8FBSYMBOL* TAIL;
};
__FB_STATIC_ASSERT( sizeof( struct $10FBSYMBOLTB ) == 24 );
struct $8HASHITEM;
struct $8HASHITEM {
	char* NAME;
	void* DATA;
	struct $8HASHITEM* PREV;
	struct $8HASHITEM* NEXT;
};
__FB_STATIC_ASSERT( sizeof( struct $8HASHITEM ) == 32 );
struct $8HASHLIST {
	struct $8HASHITEM* HEAD;
	struct $8HASHITEM* TAIL;
};
__FB_STATIC_ASSERT( sizeof( struct $8HASHLIST ) == 16 );
struct $5THASH {
	struct $8HASHLIST* LIST;
	int64 NODES;
	int64 DELSTR;
};
__FB_STATIC_ASSERT( sizeof( struct $5THASH ) == 24 );
struct $8FBHASHTB;
struct $8FBHASHTB {
	struct $8FBSYMBOL* OWNER;
	struct $5THASH TB;
	struct $8FBHASHTB* PREV;
	struct $8FBHASHTB* NEXT;
};
__FB_STATIC_ASSERT( sizeof( struct $8FBHASHTB ) == 48 );
struct $9FBSYMLIST {
	struct $8FBSYMBOL* HEAD;
	struct $8FBSYMBOL* TAIL;
};
__FB_STATIC_ASSERT( sizeof( struct $9FBSYMLIST ) == 16 );
struct $10FBSYMCHAIN;
struct $10FBSYMCHAIN {
	struct $8FBSYMBOL* SYM;
	struct $10FBSYMCHAIN* NEXT;
	int64 ISIMPORT;
	struct $10FBSYMCHAIN* PREV;
	struct $8HASHITEM* ITEM;
	struct $10FBSYMCHAIN* IMP_NEXT;
};
__FB_STATIC_ASSERT( sizeof( struct $10FBSYMCHAIN ) == 48 );
struct $13FBNAMESPC_EXT {
	struct $9FBSYMLIST IMPLIST;
	struct $9FBSYMLIST EXPLIST;
	int64 CNT;
	struct $10FBSYMCHAIN* IMPSYM_HEAD;
	struct $10FBSYMCHAIN* IMPSYM_TAIL;
};
__FB_STATIC_ASSERT( sizeof( struct $13FBNAMESPC_EXT ) == 56 );
struct $9FBNAMESPC {
	struct $10FBSYMBOLTB SYMTB;
	struct $8FBHASHTB HASHTB;
	struct $13FBNAMESPC_EXT* EXT;
};
__FB_STATIC_ASSERT( sizeof( struct $9FBNAMESPC ) == 80 );
typedef int64 $15FB_STRUCT_INREG;
struct $13FB_STRUCT_DBG {
	int64 TYPENUM;
};
__FB_STATIC_ASSERT( sizeof( struct $13FB_STRUCT_DBG ) == 8 );
struct $12FB_STRUCTEXT {
	struct $8FBSYMBOL* CTORHEAD;
	struct $8FBSYMBOL* DEFCTOR;
	struct $8FBSYMBOL* COPYCTOR;
	struct $8FBSYMBOL* COPYCTORCONST;
	struct $8FBSYMBOL* DTOR1;
	struct $8FBSYMBOL* DTOR0;
	struct $8FBSYMBOL* COPYLETOP;
	struct $8FBSYMBOL* COPYLETOPCONST;
	struct $8FBSYMBOL* OPOVLTB[28];
	int64 VTABLEELEMENTS;
	struct $8FBSYMBOL* VTABLE;
	struct $8FBSYMBOL* RTTI;
	int64 ABSTRACTCOUNT;
};
__FB_STATIC_ASSERT( sizeof( struct $12FB_STRUCTEXT ) == 320 );
struct $10FBS_STRUCT {
	struct $9FBNAMESPC NS;
	struct $8FBSYMBOL* BASE;
	struct $8FBSYMBOL* ANONPARENT;
	int64 NATALIGN;
	int64 UNPADLGT;
	int32 OPTIONS;
	uint8 BITPOS;
	uint8 ALIGN;
	$11FB_DATATYPE RETDTYPE;
	$15FB_STRUCT_INREG RETIN2REGS;
	struct $13FB_STRUCT_DBG DBG;
	struct $12FB_STRUCTEXT* EXT;
};
__FB_STATIC_ASSERT( sizeof( struct $10FBS_STRUCT ) == 152 );
struct $8FBS_ENUM {
	struct $9FBNAMESPC NS;
	int64 ELEMENTS;
	struct $13FB_STRUCT_DBG DBG;
};
__FB_STATIC_ASSERT( sizeof( struct $8FBS_ENUM ) == 96 );
typedef int64 $11FB_FUNCMODE;
typedef int64 $21FB_PROC_RETURN_METHOD;
typedef int64 (*tmp$35)( struct $8FBSYMBOL* );
struct $10FB_PROCRTL {
	tmp$35 CALLBACK;
};
__FB_STATIC_ASSERT( sizeof( struct $10FB_PROCRTL ) == 8 );
struct $10FB_PROCOVL {
	int16 MINPARAMS;
	int16 MAXPARAMS;
	struct $8FBSYMBOL* NEXT;
};
__FB_STATIC_ASSERT( sizeof( struct $10FB_PROCOVL ) == 16 );
struct $10FB_PROCSTK {
	int64 ARGOFS;
	int64 LOCALOFS;
	int64 LOCALMAX;
};
__FB_STATIC_ASSERT( sizeof( struct $10FB_PROCSTK ) == 24 );
struct $10FB_PROCDBG {
	int64 INILINE;
	int64 ENDLINE;
	char* INCFILE;
};
__FB_STATIC_ASSERT( sizeof( struct $10FB_PROCDBG ) == 24 );
struct $10FB_PROCERR {
	struct $8FBSYMBOL* LASTHND;
	struct $8FBSYMBOL* LASTMOD;
	struct $8FBSYMBOL* LASTFUN;
};
__FB_STATIC_ASSERT( sizeof( struct $10FB_PROCERR ) == 24 );
typedef int64 $6AST_OP;
struct $12FB_PROCOPOVL {
	$6AST_OP OP;
};
__FB_STATIC_ASSERT( sizeof( struct $12FB_PROCOPOVL ) == 8 );
struct $7TLISTTB;
struct $7TLISTTB {
	struct $7TLISTTB* NEXT;
	void* NODETB;
	int64 NODES;
};
__FB_STATIC_ASSERT( sizeof( struct $7TLISTTB ) == 24 );
struct $9TLISTNODE;
struct $9TLISTNODE {
	struct $9TLISTNODE* PREV;
	struct $9TLISTNODE* NEXT;
};
__FB_STATIC_ASSERT( sizeof( struct $9TLISTNODE ) == 16 );
typedef int64 $10LIST_FLAGS;
struct $5TLIST {
	struct $7TLISTTB* TBHEAD;
	struct $7TLISTTB* TBTAIL;
	int64 NODES;
	int64 NODELEN;
	struct $9TLISTNODE* FHEAD;
	void* HEAD;
	void* TAIL;
	$10LIST_FLAGS FLAGS;
};
__FB_STATIC_ASSERT( sizeof( struct $5TLIST ) == 64 );
typedef int64 $12FB_PROCSTATS;
struct $10FB_PROCGSB {
	struct $8FBSYMBOL* CTX;
};
__FB_STATIC_ASSERT( sizeof( struct $10FB_PROCGSB ) == 8 );
struct $10FB_PROCEXT {
	struct $8FBSYMBOL* RES;
	struct $10FB_PROCSTK STK;
	struct $10FB_PROCDBG DBG;
	struct $10FB_PROCERR ERR;
	struct $12FB_PROCOPOVL OPOVL;
	struct $5TLIST* STATDTOR;
	$12FB_PROCSTATS STATS;
	int64 STMTNUM;
	int64 PRIORITY;
	struct $10FB_PROCGSB GOSUB;
	struct $7ASTNODE* BASE_INITREE;
	int64 VTABLEINDEX;
	struct $8FBSYMBOL* OVERRIDDEN;
};
__FB_STATIC_ASSERT( sizeof( struct $10FB_PROCEXT ) == 152 );
struct $8FBS_PROC {
	struct $10FBSYMBOLTB SYMTB;
	int16 PARAMS;
	int16 OPTPARAMS;
	struct $10FBSYMBOLTB PARAMTB;
	$11FB_FUNCMODE MODE;
	$11FB_DATATYPE REALDTYPE;
	struct $8FBSYMBOL* REALSUBTYPE;
	$21FB_PROC_RETURN_METHOD RETURNMETHOD;
	struct $10FB_PROCRTL RTL;
	struct $10FB_PROCOVL OVL;
	struct $10FB_PROCEXT* EXT;
};
__FB_STATIC_ASSERT( sizeof( struct $8FBS_PROC ) == 120 );
typedef int64 $12FB_PARAMMODE;
struct $9FBS_PARAM {
	$12FB_PARAMMODE MODE;
	struct $8FBSYMBOL* VAR;
	struct $7ASTNODE* OPTEXPR;
	int64 BYDESCDIMENSIONS;
	struct $8FBSYMBOL* BYDESCREALSUBTYPE;
	int64 REGNUM;
};
__FB_STATIC_ASSERT( sizeof( struct $9FBS_PARAM ) == 48 );
struct $9FBS_LABEL {
	struct $8FBSYMBOL* PARENT;
	int64 DECLARED;
	int64 STMTNUM;
	boolean GOSUB;
};
__FB_STATIC_ASSERT( sizeof( struct $9FBS_LABEL ) == 32 );
struct $11FB_DEFPARAM;
struct $11FB_DEFPARAM {
	char* NAME;
	int64 NUM;
	struct $11FB_DEFPARAM* NEXT;
};
__FB_STATIC_ASSERT( sizeof( struct $11FB_DEFPARAM ) == 24 );
typedef int64 $14FB_DEFTOK_TYPE;
struct $9FB_DEFTOK;
struct $9FB_DEFTOK {
	$14FB_DEFTOK_TYPE TYPE;
	union {
		char* TEXT;
		uint32* TEXTW;
		int64 PARAMNUM;
	};
	struct $9FB_DEFTOK* PREV;
	struct $9FB_DEFTOK* NEXT;
};
__FB_STATIC_ASSERT( sizeof( struct $9FB_DEFTOK ) == 32 );
typedef int64 $15FB_DEFINE_FLAGS;
typedef FBSTRING* (*tmp$29)( void );
struct $8DZSTRING {
	char* DATA;
	int64 LEN;
	int64 SIZE;
};
__FB_STATIC_ASSERT( sizeof( struct $8DZSTRING ) == 24 );
struct $8DWSTRING {
	uint32* DATA;
	int64 LEN;
	int64 SIZE;
};
__FB_STATIC_ASSERT( sizeof( struct $8DWSTRING ) == 24 );
struct $9LEXPP_ARG {
	union {
		struct $8DZSTRING TEXT;
		struct $8DWSTRING TEXTW;
	};
};
__FB_STATIC_ASSERT( sizeof( struct $9LEXPP_ARG ) == 24 );
struct $11LEXPP_ARGTB {
	struct $9LEXPP_ARG TB[32];
	int64 COUNT;
};
__FB_STATIC_ASSERT( sizeof( struct $11LEXPP_ARGTB ) == 776 );
typedef FBSTRING* (*tmp$30)( struct $11LEXPP_ARGTB*, int64* );
typedef uint32* (*tmp$31)( struct $11LEXPP_ARGTB*, int64* );
struct $10FBS_DEFINE {
	int64 PARAMS;
	struct $11FB_DEFPARAM* PARAMHEAD;
	union {
		struct $9FB_DEFTOK* TOKHEAD;
		char* TEXT;
		uint32* TEXTW;
	};
	int64 ISARGLESS;
	$15FB_DEFINE_FLAGS FLAGS;
	union {
		tmp$29 DPROCZ;
		tmp$30 MPROCZ;
	};
	union {
		tmp$31 MPROCW;
	};
};
__FB_STATIC_ASSERT( sizeof( struct $10FBS_DEFINE ) == 56 );
typedef int64 $10FB_TKCLASS;
struct $11FBS_KEYWORD {
	int64 ID;
	$10FB_TKCLASS TKCLASS;
};
__FB_STATIC_ASSERT( sizeof( struct $11FBS_KEYWORD ) == 16 );
struct $8FBFWDREF;
struct $8FBFWDREF {
	struct $8FBSYMBOL* REF;
	struct $8FBFWDREF* PREV;
};
__FB_STATIC_ASSERT( sizeof( struct $8FBFWDREF ) == 16 );
struct $10FBS_FWDREF {
	struct $8FBFWDREF* TAIL;
};
__FB_STATIC_ASSERT( sizeof( struct $10FBS_FWDREF ) == 8 );
struct $11FB_SCOPEDBG {
	int64 INILINE;
	int64 ENDLINE;
	struct $8FBSYMBOL* INILABEL;
	struct $8FBSYMBOL* ENDLABEL;
};
__FB_STATIC_ASSERT( sizeof( struct $11FB_SCOPEDBG ) == 32 );
struct $12FB_SCOPEEMIT {
	int64 BASEOFS;
};
__FB_STATIC_ASSERT( sizeof( struct $12FB_SCOPEEMIT ) == 8 );
struct $9FBS_SCOPE {
	struct $7ASTNODE* BACKNODE;
	struct $10FBSYMBOLTB SYMTB;
	struct $11FB_SCOPEDBG DBG;
	struct $12FB_SCOPEEMIT EMIT;
};
__FB_STATIC_ASSERT( sizeof( struct $9FBS_SCOPE ) == 72 );
struct $13FBS_NAMESPACE {
	struct $9FBNAMESPC NS;
	int64 CNT;
	struct $8FBSYMBOL* LAST_TAIL;
};
__FB_STATIC_ASSERT( sizeof( struct $13FBS_NAMESPACE ) == 96 );
struct $12FBS_NSIMPORT {
	struct $8FBSYMBOL* IMP_NS;
	struct $8FBSYMBOL* IMP_PREV;
	struct $8FBSYMBOL* IMP_NEXT;
	struct $8FBSYMBOL* EXP_NS;
	struct $8FBSYMBOL* EXP_PREV;
	struct $8FBSYMBOL* EXP_NEXT;
};
__FB_STATIC_ASSERT( sizeof( struct $12FBS_NSIMPORT ) == 48 );
struct $9FBSYMHASH {
	struct $8FBHASHTB* TB;
	struct $8HASHITEM* ITEM;
	uint64 INDEX;
	struct $8FBSYMBOL* PREV;
	struct $8FBSYMBOL* NEXT;
};
__FB_STATIC_ASSERT( sizeof( struct $9FBSYMHASH ) == 40 );
struct $8FBSYMBOL {
	$12FB_SYMBCLASS CLASS;
	$13FB_SYMBATTRIB ATTRIB;
	$13FB_PROCATTRIB PATTRIB;
	$12FB_SYMBSTATS STATS;
	struct $9FB_SYMBID ID;
	$11FB_DATATYPE TYP;
	struct $8FBSYMBOL* SUBTYPE;
	uint16 SCOPE;
	int16 MANGLING;
	int64 LGT;
	int64 OFS;
	union {
		struct $7FBS_VAR VAR_;
		struct $9FBS_CONST VAL;
		struct $10FBS_STRUCT UDT;
		struct $8FBS_ENUM ENUM_;
		struct $8FBS_PROC PROC;
		struct $9FBS_PARAM PARAM;
		struct $9FBS_LABEL LBL;
		struct $10FBS_DEFINE DEF;
		struct $11FBS_KEYWORD KEY;
		struct $10FBS_FWDREF FWD;
		struct $9FBS_SCOPE SCP;
		struct $13FBS_NAMESPACE NSPC;
		struct $12FBS_NSIMPORT NSIMP;
	};
	struct $9FBSYMHASH HASH;
	struct $10FBSYMBOLTB* SYMTB;
	struct $8FBSYMBOL* PARENT;
	struct $8FBSYMBOL* PREV;
	struct $8FBSYMBOL* NEXT;
};
__FB_STATIC_ASSERT( sizeof( struct $8FBSYMBOL ) == 320 );
struct $14AST_NODE_CONST {
	union {
		union $7FBVALUE VALUE;
		struct $8FBSYMBOL* S;
		int64 I;
		double F;
	};
	int64 HASSUFFIX;
};
__FB_STATIC_ASSERT( sizeof( struct $14AST_NODE_CONST ) == 16 );
struct $12AST_NODE_VAR {
	int64 OFS;
};
__FB_STATIC_ASSERT( sizeof( struct $12AST_NODE_VAR ) == 8 );
struct $12AST_NODE_IDX {
	int64 OFS;
	int64 MULT;
};
__FB_STATIC_ASSERT( sizeof( struct $12AST_NODE_IDX ) == 16 );
struct $12AST_NODE_PTR {
	int64 OFS;
};
__FB_STATIC_ASSERT( sizeof( struct $12AST_NODE_PTR ) == 8 );
struct $19AST_TMPSTRLIST_ITEM;
struct $19AST_TMPSTRLIST_ITEM {
	struct $8FBSYMBOL* SYM;
	struct $7ASTNODE* SRCTREE;
	struct $19AST_TMPSTRLIST_ITEM* PREV;
};
__FB_STATIC_ASSERT( sizeof( struct $19AST_TMPSTRLIST_ITEM ) == 24 );
struct $13AST_NODE_CALL {
	int64 ISRTL;
	int64 ARGS;
	struct $8FBSYMBOL* CURRARG;
	struct $7ASTNODE* ARGTAIL;
	struct $19AST_TMPSTRLIST_ITEM* STRTAIL;
	struct $8FBSYMBOL* TMPRES;
	struct $7ASTNODE* PROFBEGIN;
	struct $7ASTNODE* PROFEND;
};
__FB_STATIC_ASSERT( sizeof( struct $13AST_NODE_CALL ) == 64 );
struct $12AST_NODE_ARG {
	int64 MODE;
	int64 LGT;
};
__FB_STATIC_ASSERT( sizeof( struct $12AST_NODE_ARG ) == 16 );
struct $12AST_NODE_IIF {
	struct $8FBSYMBOL* FALSELABEL;
};
__FB_STATIC_ASSERT( sizeof( struct $12AST_NODE_IIF ) == 8 );
typedef int64 $9AST_OPOPT;
struct $11AST_NODE_OP {
	int64 OP;
	$9AST_OPOPT OPTIONS;
	struct $8FBSYMBOL* EX;
};
__FB_STATIC_ASSERT( sizeof( struct $11AST_NODE_OP ) == 24 );
struct $13AST_NODE_LOAD {
	int64 ISRES;
};
__FB_STATIC_ASSERT( sizeof( struct $13AST_NODE_LOAD ) == 8 );
struct $14AST_NODE_LABEL {
	int64 FLUSH;
};
__FB_STATIC_ASSERT( sizeof( struct $14AST_NODE_LABEL ) == 8 );
struct $13AST_NODE_OFFS {
	int64 OFS;
};
__FB_STATIC_ASSERT( sizeof( struct $13AST_NODE_OFFS ) == 8 );
struct $12AST_NODE_LIT {
	char* TEXT;
};
__FB_STATIC_ASSERT( sizeof( struct $12AST_NODE_LIT ) == 8 );
typedef int64 $14AST_ASMTOKTYPE;
struct $9ASTASMTOK;
struct $9ASTASMTOK {
	$14AST_ASMTOKTYPE TYPE;
	union {
		struct $8FBSYMBOL* SYM;
		char* TEXT;
	};
	struct $9ASTASMTOK* NEXT;
};
__FB_STATIC_ASSERT( sizeof( struct $9ASTASMTOK ) == 24 );
struct $12AST_NODE_ASM {
	struct $9ASTASMTOK* TOKHEAD;
};
__FB_STATIC_ASSERT( sizeof( struct $12AST_NODE_ASM ) == 8 );
struct $14AST_NODE_JMPTB {
	uint64* VALUES;
	struct $8FBSYMBOL** LABELS;
	int64 LABELCOUNT;
	struct $8FBSYMBOL* DEFLABEL;
	uint64 BIAS;
	uint64 SPAN;
};
__FB_STATIC_ASSERT( sizeof( struct $14AST_NODE_JMPTB ) == 48 );
struct $12AST_NODE_DBG {
	int64 EX;
	char* FILENAME;
	int64 OP;
};
__FB_STATIC_ASSERT( sizeof( struct $12AST_NODE_DBG ) == 24 );
struct $12AST_NODE_MEM {
	int64 OP;
	int64 BYTES;
	int64 FILLCHAR;
};
__FB_STATIC_ASSERT( sizeof( struct $12AST_NODE_MEM ) == 24 );
struct $14AST_NODE_STACK {
	int64 OP;
};
__FB_STATIC_ASSERT( sizeof( struct $14AST_NODE_STACK ) == 8 );
struct $16AST_NODE_TYPEINI {
	int64 OFS;
	union {
		int64 BYTES;
		int64 ELEMENTS;
	};
	struct $8FBSYMBOL* SCP;
	struct $8FBSYMBOL* LASTSCP;
};
__FB_STATIC_ASSERT( sizeof( struct $16AST_NODE_TYPEINI ) == 32 );
struct $21AST_NODE_TYPEINISCOPE {
	int64 IS_ARRAY;
};
__FB_STATIC_ASSERT( sizeof( struct $21AST_NODE_TYPEINISCOPE ) == 8 );
struct $13AST_BREAKLIST {
	struct $7ASTNODE* HEAD;
	struct $7ASTNODE* TAIL;
};
__FB_STATIC_ASSERT( sizeof( struct $13AST_BREAKLIST ) == 16 );
struct $13AST_NODE_PROC {
	int64 ISMAIN;
	struct $7ASTNODE* DECL_LAST;
};
__FB_STATIC_ASSERT( sizeof( struct $13AST_NODE_PROC ) == 16 );
struct $14AST_NODE_BLOCK {
	struct $7ASTNODE* PARENT;
	int64 INISTMT;
	int64 ENDSTMT;
	struct $8FBSYMBOL* INITLABEL;
	struct $8FBSYMBOL* EXITLABEL;
	struct $13AST_BREAKLIST BREAKLIST;
	struct $13AST_NODE_PROC PROC;
};
__FB_STATIC_ASSERT( sizeof( struct $14AST_NODE_BLOCK ) == 72 );
struct $14AST_NODE_BREAK {
	struct $7ASTNODE* PARENT;
	int64 SCOPE;
	int64 LINENUM;
	int64 STMTNUM;
};
__FB_STATIC_ASSERT( sizeof( struct $14AST_NODE_BREAK ) == 32 );
struct $17AST_NODE_DATASTMT {
	union {
		int64 ID;
		int64 ELMTS;
	};
};
__FB_STATIC_ASSERT( sizeof( struct $17AST_NODE_DATASTMT ) == 8 );
struct $13AST_NODE_LINK {
	int64 RET;
};
__FB_STATIC_ASSERT( sizeof( struct $13AST_NODE_LINK ) == 8 );
struct $13AST_NODE_CAST {
	int64 DOCONV;
	int64 DO_CONVFD2FS;
	int64 CONVCONST;
};
__FB_STATIC_ASSERT( sizeof( struct $13AST_NODE_CAST ) == 24 );
struct $7ASTNODE {
	$13AST_NODECLASS CLASS;
	int64 DTYPE;
	struct $8FBSYMBOL* SUBTYPE;
	struct $8FBSYMBOL* SYM;
	int64 VECTOR;
	union {
		struct $14AST_NODE_CONST VAL;
		struct $12AST_NODE_VAR VAR_;
		struct $12AST_NODE_IDX IDX;
		struct $12AST_NODE_PTR PTR;
		struct $13AST_NODE_CALL CALL;
		struct $12AST_NODE_ARG ARG;
		struct $12AST_NODE_IIF IIF;
		struct $11AST_NODE_OP OP;
		struct $13AST_NODE_LOAD LOD;
		struct $14AST_NODE_LABEL LBL;
		struct $13AST_NODE_OFFS OFS;
		struct $12AST_NODE_LIT LIT;
		struct $12AST_NODE_ASM ASM;
		struct $14AST_NODE_JMPTB JMPTB;
		struct $12AST_NODE_DBG DBG;
		struct $12AST_NODE_MEM MEM;
		struct $14AST_NODE_STACK STACK;
		struct $16AST_NODE_TYPEINI TYPEINI;
		struct $21AST_NODE_TYPEINISCOPE TYPEINISCOPE;
		struct $14AST_NODE_BLOCK BLOCK;
		struct $14AST_NODE_BREAK BREAK;
		struct $17AST_NODE_DATASTMT DATA;
		struct $13AST_NODE_LINK LINK;
		struct $13AST_NODE_CAST CAST;
	};
	struct $7ASTNODE* L;
	struct $7ASTNODE* R;
	struct $7ASTNODE* PREV;
	struct $7ASTNODE* NEXT;
};
__FB_STATIC_ASSERT( sizeof( struct $7ASTNODE ) == 144 );
struct $11TSTRSETITEM {
	FBSTRING S;
	int64 USERDATA;
	struct $8HASHITEM* HASHITEM;
};
__FB_STATIC_ASSERT( sizeof( struct $11TSTRSETITEM ) == 40 );
FBSTRING* fb_StrAssign( void*, const int64, const void*, const int64, const int32 );
void fb_StrDelete( const FBSTRING* );
static void fb_ctor__parserzquirkzsfx( void ) __attribute__(( constructor ));
static void _ZN11TSTRSETITEMaSERKS_( struct $11TSTRSETITEM*, const struct $11TSTRSETITEM* );
void ERRREPORT( int64, int64, const char* );
struct $7ASTNODE* ASTADD( struct $7ASTNODE* );
struct $7ASTNODE* ASTNEWCALL( struct $8FBSYMBOL*, struct $7ASTNODE*, int64 );
struct $7ASTNODE* ASTNEWARG( struct $7ASTNODE*, struct $7ASTNODE*, int64, int64 );
typedef int64 $8LEXCHECK;
int64 LEXGETTOKEN( $8LEXCHECK );
void LEXSKIPTOKEN( $8LEXCHECK );
int64 HMATCHIDORKW( const char*, $8LEXCHECK );
int64 HMATCH( int64, $8LEXCHECK );
void HSKIPUNTIL( int64, int64, $8LEXCHECK, int64 );
struct $7ASTNODE* HMATCHEXPR( int64 );
struct $8FBSYMBOL* RTLPROCLOOKUP( const char*, int64 );
static struct $7ASTNODE* HSFXCALL0( struct $8FBSYMBOL* );
static struct $7ASTNODE* HSFXCALL1( struct $8FBSYMBOL*, struct $7ASTNODE* );
static struct $7ASTNODE* HSFXCALL2( struct $8FBSYMBOL*, struct $7ASTNODE*, struct $7ASTNODE* );
static struct $7ASTNODE* HSFXCALL3( struct $8FBSYMBOL*, struct $7ASTNODE*, struct $7ASTNODE*, struct $7ASTNODE* );
static void HSFXOPTBEGINARGS( int64* );
static void HSFXOPTENDARGS( int64 );
static struct $7ASTNODE* HSFXVOIDINEXPR( void );
static int64 HSFXATSTMTEND( void );
static int64 HSFXNOARGS( int64 );
static struct $7ASTNODE* HSFXOPTIONALFILECALL( struct $8FBSYMBOL*, struct $8FBSYMBOL* );
static struct $7ASTNODE* HPARSEMUSIC( int64 );
static struct $7ASTNODE* HPARSESFX( int64 );
static struct $7ASTNODE* HPARSEMIDI( int64 );
static struct $7ASTNODE* HPARSEDEVICE( int64 );
static struct $7ASTNODE* HPARSECAPTURE( int64 );
typedef int64 $11AST_OPFLAGS;
struct $10AST_OPINFO {
	$13AST_NODECLASS CLASS;
	$11AST_OPFLAGS FLAGS;
	char* ID;
	$6AST_OP SELFOP;
};
__FB_STATIC_ASSERT( sizeof( struct $10AST_OPINFO ) == 32 );
struct $16__FB_ARRAYDIMTB$ {
	int64 ELEMENTS;
	int64 LBOUND;
	int64 UBOUND;
};
__FB_STATIC_ASSERT( sizeof( struct $16__FB_ARRAYDIMTB$ ) == 24 );
struct $8FBARRAY1I10AST_OPINFOE {
	struct $10AST_OPINFO* DATA;
	struct $10AST_OPINFO* PTR;
	int64 SIZE;
	int64 ELEMENT_LEN;
	int64 DIMENSIONS;
	int64 FLAGS;
	struct $16__FB_ARRAYDIMTB$ DIMTB[1];
};
__FB_STATIC_ASSERT( sizeof( struct $8FBARRAY1I10AST_OPINFOE ) == 72 );
static struct $8FBARRAY1I10AST_OPINFOE tmp$83$;
typedef int64 $12FB_DATACLASS;
struct $13SYMB_DATATYPE {
	$12FB_DATACLASS CLASS;
	int64 SIZE;
	int64 SIGNED;
	int64 INTRANK;
	$11FB_DATATYPE REMAPTYPE;
	int64 SIZETYPE;
	char* NAME;
};
__FB_STATIC_ASSERT( sizeof( struct $13SYMB_DATATYPE ) == 56 );
struct $8FBARRAY1I13SYMB_DATATYPEE {
	struct $13SYMB_DATATYPE* DATA;
	struct $13SYMB_DATATYPE* PTR;
	int64 SIZE;
	int64 ELEMENT_LEN;
	int64 DIMENSIONS;
	int64 FLAGS;
	struct $16__FB_ARRAYDIMTB$ DIMTB[1];
};
__FB_STATIC_ASSERT( sizeof( struct $8FBARRAY1I13SYMB_DATATYPEE ) == 72 );
static struct $8FBARRAY1I13SYMB_DATATYPEE tmp$84$;
struct $8FBARRAY2IlE {
	int64* DATA;
	int64* PTR;
	int64 SIZE;
	int64 ELEMENT_LEN;
	int64 DIMENSIONS;
	int64 FLAGS;
	struct $16__FB_ARRAYDIMTB$ DIMTB[2];
};
__FB_STATIC_ASSERT( sizeof( struct $8FBARRAY2IlE ) == 96 );
static struct $8FBARRAY2IlE tmp$85$;

int64 CSFXSTMT( $8FB_TOKEN TK$1 )
{
	_unusedlabel: ; void *_llvmbug18658 = &&_unusedlabel;
	int64 fb$result$1;
	__builtin_memset( &fb$result$1, 0, 8ll );
	label$289:;
	struct $7ASTNODE* EXPR$1;
	EXPR$1 = (struct $7ASTNODE*)0ull;
	{
		uint64 TMP$178$2;
		TMP$178$2 = (uint64)TK$1;
		goto label$292;
		label$293:;
		{
			struct $7ASTNODE* vr$1 = HPARSEMUSIC( 0ll );
			EXPR$1 = vr$1;
		}
		goto label$291;
		label$294:;
		{
			struct $7ASTNODE* vr$2 = HPARSESFX( 0ll );
			EXPR$1 = vr$2;
		}
		goto label$291;
		label$295:;
		{
			struct $7ASTNODE* vr$3 = HPARSEMIDI( 0ll );
			EXPR$1 = vr$3;
		}
		goto label$291;
		label$296:;
		{
			struct $7ASTNODE* vr$4 = HPARSEDEVICE( 0ll );
			EXPR$1 = vr$4;
		}
		goto label$291;
		label$297:;
		{
			struct $7ASTNODE* vr$5 = HPARSECAPTURE( 0ll );
			EXPR$1 = vr$5;
		}
		goto label$291;
		label$298:;
		{
			fb$result$1 = 0ll;
			goto label$290;
		}
		goto label$291;
		label$292:;
		static const void* tmp$179[5ll] = {
			&&label$293,
			&&label$294,
			&&label$295,
			&&label$296,
			&&label$297,
		};
		if( (TMP$178$2 - 521ull) > 4ull ) goto label$298;
		goto *tmp$179[TMP$178$2 - 521ull];
		label$291:;
	}
	if( EXPR$1 == (struct $7ASTNODE*)0ull) goto label$300;
	{
		ASTADD( EXPR$1 );
	}
	label$300:;
	label$299:;
	fb$result$1 = -1ll;
	label$290:;
	return fb$result$1;
}

struct $7ASTNODE* CSFXFUNCT( $8FB_TOKEN TK$1 )
{
	_unusedlabel: ; void *_llvmbug18658 = &&_unusedlabel;
	struct $7ASTNODE* fb$result$1;
	__builtin_memset( &fb$result$1, 0, 8ll );
	label$301:;
	{
		uint64 TMP$180$2;
		TMP$180$2 = (uint64)TK$1;
		goto label$304;
		label$305:;
		{
			struct $7ASTNODE* vr$1 = HPARSEMUSIC( -1ll );
			fb$result$1 = vr$1;
		}
		goto label$303;
		label$306:;
		{
			struct $7ASTNODE* vr$2 = HPARSESFX( -1ll );
			fb$result$1 = vr$2;
		}
		goto label$303;
		label$307:;
		{
			struct $7ASTNODE* vr$3 = HPARSEMIDI( -1ll );
			fb$result$1 = vr$3;
		}
		goto label$303;
		label$308:;
		{
			struct $7ASTNODE* vr$4 = HPARSEDEVICE( -1ll );
			fb$result$1 = vr$4;
		}
		goto label$303;
		label$309:;
		{
			struct $7ASTNODE* vr$5 = HPARSECAPTURE( -1ll );
			fb$result$1 = vr$5;
		}
		goto label$303;
		label$310:;
		{
			fb$result$1 = (struct $7ASTNODE*)0ull;
		}
		goto label$303;
		label$304:;
		static const void* tmp$181[5ll] = {
			&&label$305,
			&&label$306,
			&&label$307,
			&&label$308,
			&&label$309,
		};
		if( (TMP$180$2 - 521ull) > 4ull ) goto label$310;
		goto *tmp$181[TMP$180$2 - 521ull];
		label$303:;
	}
	label$302:;
	return fb$result$1;
}

static void _ZN11TSTRSETITEMaSERKS_( struct $11TSTRSETITEM* THIS$1, const struct $11TSTRSETITEM* __FB_RHS__$1 )
{
	_unusedlabel: ; void *_llvmbug18658 = &&_unusedlabel;
	label$4:;
	fb_StrAssign( (void*)THIS$1, -1ll, (void*)__FB_RHS__$1, -1ll, 0 );
	*(int64*)((uint8*)THIS$1 + 24ll) = *(int64*)((uint8*)__FB_RHS__$1 + 24ll);
	*(struct $8HASHITEM**)((uint8*)THIS$1 + 32ll) = *(struct $8HASHITEM**)((uint8*)__FB_RHS__$1 + 32ll);
	label$5:;
}

static struct $7ASTNODE* HSFXCALL0( struct $8FBSYMBOL* PROC$1 )
{
	_unusedlabel: ; void *_llvmbug18658 = &&_unusedlabel;
	struct $7ASTNODE* fb$result$1;
	__builtin_memset( &fb$result$1, 0, 8ll );
	label$10:;
	struct $7ASTNODE* vr$1 = ASTNEWCALL( PROC$1, (struct $7ASTNODE*)0ull, -1ll );
	fb$result$1 = vr$1;
	label$11:;
	return fb$result$1;
}

static struct $7ASTNODE* HSFXCALL1( struct $8FBSYMBOL* PROC$1, struct $7ASTNODE* ARG1$1 )
{
	_unusedlabel: ; void *_llvmbug18658 = &&_unusedlabel;
	struct $7ASTNODE* fb$result$1;
	__builtin_memset( &fb$result$1, 0, 8ll );
	label$12:;
	struct $7ASTNODE* CALL_$1;
	struct $7ASTNODE* vr$1 = ASTNEWCALL( PROC$1, (struct $7ASTNODE*)0ull, -1ll );
	CALL_$1 = vr$1;
	struct $7ASTNODE* vr$2 = ASTNEWARG( CALL_$1, ARG1$1, 2147483648ll, -1ll );
	if( vr$2 != (struct $7ASTNODE*)0ull) goto label$15;
	{
		fb$result$1 = (struct $7ASTNODE*)0ull;
		goto label$13;
	}
	label$15:;
	label$14:;
	fb$result$1 = CALL_$1;
	label$13:;
	return fb$result$1;
}

static struct $7ASTNODE* HSFXCALL2( struct $8FBSYMBOL* PROC$1, struct $7ASTNODE* ARG1$1, struct $7ASTNODE* ARG2$1 )
{
	_unusedlabel: ; void *_llvmbug18658 = &&_unusedlabel;
	struct $7ASTNODE* fb$result$1;
	__builtin_memset( &fb$result$1, 0, 8ll );
	label$16:;
	struct $7ASTNODE* CALL_$1;
	struct $7ASTNODE* vr$1 = ASTNEWCALL( PROC$1, (struct $7ASTNODE*)0ull, -1ll );
	CALL_$1 = vr$1;
	struct $7ASTNODE* vr$2 = ASTNEWARG( CALL_$1, ARG1$1, 2147483648ll, -1ll );
	if( vr$2 != (struct $7ASTNODE*)0ull) goto label$19;
	{
		fb$result$1 = (struct $7ASTNODE*)0ull;
		goto label$17;
	}
	label$19:;
	label$18:;
	struct $7ASTNODE* vr$3 = ASTNEWARG( CALL_$1, ARG2$1, 2147483648ll, -1ll );
	if( vr$3 != (struct $7ASTNODE*)0ull) goto label$21;
	{
		fb$result$1 = (struct $7ASTNODE*)0ull;
		goto label$17;
	}
	label$21:;
	label$20:;
	fb$result$1 = CALL_$1;
	label$17:;
	return fb$result$1;
}

static struct $7ASTNODE* HSFXCALL3( struct $8FBSYMBOL* PROC$1, struct $7ASTNODE* ARG1$1, struct $7ASTNODE* ARG2$1, struct $7ASTNODE* ARG3$1 )
{
	_unusedlabel: ; void *_llvmbug18658 = &&_unusedlabel;
	struct $7ASTNODE* fb$result$1;
	__builtin_memset( &fb$result$1, 0, 8ll );
	label$22:;
	struct $7ASTNODE* CALL_$1;
	struct $7ASTNODE* vr$1 = ASTNEWCALL( PROC$1, (struct $7ASTNODE*)0ull, -1ll );
	CALL_$1 = vr$1;
	struct $7ASTNODE* vr$2 = ASTNEWARG( CALL_$1, ARG1$1, 2147483648ll, -1ll );
	if( vr$2 != (struct $7ASTNODE*)0ull) goto label$25;
	{
		fb$result$1 = (struct $7ASTNODE*)0ull;
		goto label$23;
	}
	label$25:;
	label$24:;
	struct $7ASTNODE* vr$3 = ASTNEWARG( CALL_$1, ARG2$1, 2147483648ll, -1ll );
	if( vr$3 != (struct $7ASTNODE*)0ull) goto label$27;
	{
		fb$result$1 = (struct $7ASTNODE*)0ull;
		goto label$23;
	}
	label$27:;
	label$26:;
	struct $7ASTNODE* vr$4 = ASTNEWARG( CALL_$1, ARG3$1, 2147483648ll, -1ll );
	if( vr$4 != (struct $7ASTNODE*)0ull) goto label$29;
	{
		fb$result$1 = (struct $7ASTNODE*)0ull;
		goto label$23;
	}
	label$29:;
	label$28:;
	fb$result$1 = CALL_$1;
	label$23:;
	return fb$result$1;
}

static void HSFXOPTBEGINARGS( int64* HAD_PARENS$1 )
{
	_unusedlabel: ; void *_llvmbug18658 = &&_unusedlabel;
	label$30:;
	int64 vr$0 = HMATCH( 40ll, 0ll );
	*HAD_PARENS$1 = vr$0;
	label$31:;
}

static void HSFXOPTENDARGS( int64 HAD_PARENS$1 )
{
	_unusedlabel: ; void *_llvmbug18658 = &&_unusedlabel;
	label$32:;
	if( HAD_PARENS$1 == 0ll) goto label$35;
	{
		int64 vr$0 = LEXGETTOKEN( 0ll );
		if( vr$0 == 41ll) goto label$37;
		{
			ERRREPORT( 7ll, 0ll, (char*)0ull );
			HSKIPUNTIL( 41ll, -1ll, 0ll, 0ll );
		}
		goto label$36;
		label$37:;
		{
			LEXSKIPTOKEN( 0ll );
		}
		label$36:;
	}
	label$35:;
	label$34:;
	label$33:;
}

static struct $7ASTNODE* HSFXVOIDINEXPR( void )
{
	_unusedlabel: ; void *_llvmbug18658 = &&_unusedlabel;
	struct $7ASTNODE* fb$result$1;
	__builtin_memset( &fb$result$1, 0, 8ll );
	label$38:;
	ERRREPORT( 17ll, 0ll, (char*)0ull );
	fb$result$1 = (struct $7ASTNODE*)0ull;
	label$39:;
	return fb$result$1;
}

static int64 HSFXATSTMTEND( void )
{
	_unusedlabel: ; void *_llvmbug18658 = &&_unusedlabel;
	int64 fb$result$1;
	__builtin_memset( &fb$result$1, 0, 8ll );
	label$40:;
	{
		uint64 TMP$97$2;
		int64 vr$1 = LEXGETTOKEN( 0ll );
		TMP$97$2 = (uint64)vr$1;
		goto label$43;
		label$44:;
		{
			fb$result$1 = -1ll;
		}
		goto label$42;
		label$45:;
		{
			fb$result$1 = 0ll;
		}
		goto label$42;
		label$43:;
		static const void* tmp$182[5ll] = {
			&&label$44,
			&&label$44,
			&&label$44,
			&&label$44,
			&&label$44,
		};
		if( (TMP$97$2 - 256ull) > 4ull ) goto label$45;
		goto *tmp$182[TMP$97$2 - 256ull];
		label$42:;
	}
	label$41:;
	return fb$result$1;
}

static int64 HSFXNOARGS( int64 HAD_PARENS$1 )
{
	_unusedlabel: ; void *_llvmbug18658 = &&_unusedlabel;
	int64 fb$result$1;
	__builtin_memset( &fb$result$1, 0, 8ll );
	label$46:;
	if( HAD_PARENS$1 == 0ll) goto label$49;
	{
		int64 vr$1 = LEXGETTOKEN( 0ll );
		if( vr$1 == 41ll) goto label$51;
		{
			ERRREPORT( 17ll, 0ll, (char*)0ull );
			fb$result$1 = 0ll;
			goto label$47;
		}
		label$51:;
		label$50:;
		fb$result$1 = -1ll;
		goto label$47;
	}
	label$49:;
	label$48:;
	int64 vr$2 = HSFXATSTMTEND(  );
	if( vr$2 == 0ll) goto label$53;
	{
		fb$result$1 = -1ll;
		goto label$47;
	}
	label$53:;
	label$52:;
	ERRREPORT( 17ll, 0ll, (char*)0ull );
	fb$result$1 = 0ll;
	label$47:;
	return fb$result$1;
}

static struct $7ASTNODE* HSFXOPTIONALFILECALL( struct $8FBSYMBOL* PROC_NOARG$1, struct $8FBSYMBOL* PROC_FILE$1 )
{
	_unusedlabel: ; void *_llvmbug18658 = &&_unusedlabel;
	int64 TMP$98$1;
	int64 TMP$99$1;
	struct $7ASTNODE* fb$result$1;
	__builtin_memset( &fb$result$1, 0, 8ll );
	label$54:;
	int64 HAD_PARENS$1;
	__builtin_memset( &HAD_PARENS$1, 0, 8ll );
	struct $7ASTNODE* EXPR1$1;
	__builtin_memset( &EXPR1$1, 0, 8ll );
	HSFXOPTBEGINARGS( &HAD_PARENS$1 );
	if( HAD_PARENS$1 == 0ll) goto label$56;
	int64 vr$4 = LEXGETTOKEN( 0ll );
	TMP$98$1 = (int64)-(vr$4 == 41ll);
	goto label$311;
	label$56:;
	TMP$98$1 = 0ll;
	label$311:;
	if( TMP$98$1 == 0ll) goto label$58;
	{
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $7ASTNODE* vr$6 = HSFXCALL0( PROC_NOARG$1 );
		fb$result$1 = vr$6;
		goto label$55;
	}
	label$58:;
	label$57:;
	if( HAD_PARENS$1 != 0ll) goto label$59;
	int64 vr$7 = HSFXATSTMTEND(  );
	TMP$99$1 = (int64)-(vr$7 != 0ll);
	goto label$312;
	label$59:;
	TMP$99$1 = 0ll;
	label$312:;
	if( TMP$99$1 == 0ll) goto label$61;
	{
		struct $7ASTNODE* vr$9 = HSFXCALL0( PROC_NOARG$1 );
		fb$result$1 = vr$9;
		goto label$55;
	}
	label$61:;
	label$60:;
	struct $7ASTNODE* vr$10 = HMATCHEXPR( 17ll );
	EXPR1$1 = vr$10;
	if( EXPR1$1 != (struct $7ASTNODE*)0ull) goto label$63;
	{
		goto label$55;
	}
	label$63:;
	label$62:;
	HSFXOPTENDARGS( HAD_PARENS$1 );
	struct $7ASTNODE* vr$11 = HSFXCALL1( PROC_FILE$1, EXPR1$1 );
	fb$result$1 = vr$11;
	label$55:;
	return fb$result$1;
}

static struct $7ASTNODE* HPARSEMUSIC( int64 IS_FUNC$1 )
{
	_unusedlabel: ; void *_llvmbug18658 = &&_unusedlabel;
	struct $7ASTNODE* fb$result$1;
	__builtin_memset( &fb$result$1, 0, 8ll );
	label$64:;
	int64 HAD_PARENS$1;
	__builtin_memset( &HAD_PARENS$1, 0, 8ll );
	struct $7ASTNODE* EXPR1$1;
	__builtin_memset( &EXPR1$1, 0, 8ll );
	LEXSKIPTOKEN( 2048ll );
	int64 vr$3 = HMATCHIDORKW( (char*)"LOAD", 2048ll );
	if( vr$3 == 0ll) goto label$67;
	{
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		struct $7ASTNODE* vr$5 = HMATCHEXPR( 17ll );
		EXPR1$1 = vr$5;
		if( EXPR1$1 != (struct $7ASTNODE*)0ull) goto label$69;
		{
			goto label$65;
		}
		label$69:;
		label$68:;
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$6 = RTLPROCLOOKUP( (char*)"fb_sfxMusicLoad", 303ll );
		struct $7ASTNODE* vr$7 = HSFXCALL1( vr$6, EXPR1$1 );
		fb$result$1 = vr$7;
		goto label$65;
	}
	label$67:;
	label$66:;
	int64 vr$8 = HMATCHIDORKW( (char*)"PLAY", 2048ll );
	if( vr$8 == 0ll) goto label$71;
	{
		struct $8FBSYMBOL* vr$9 = RTLPROCLOOKUP( (char*)"fb_sfxMusicPlayFile", 305ll );
		struct $8FBSYMBOL* vr$10 = RTLPROCLOOKUP( (char*)"fb_sfxMusicPlayCmd", 304ll );
		struct $7ASTNODE* vr$11 = HSFXOPTIONALFILECALL( vr$10, vr$9 );
		fb$result$1 = vr$11;
		goto label$65;
	}
	label$71:;
	label$70:;
	int64 vr$12 = HMATCHIDORKW( (char*)"LOOP", 2048ll );
	if( vr$12 == 0ll) goto label$73;
	{
		struct $8FBSYMBOL* vr$13 = RTLPROCLOOKUP( (char*)"fb_sfxMusicLoopFile", 307ll );
		struct $8FBSYMBOL* vr$14 = RTLPROCLOOKUP( (char*)"fb_sfxMusicLoopCmd", 306ll );
		struct $7ASTNODE* vr$15 = HSFXOPTIONALFILECALL( vr$14, vr$13 );
		fb$result$1 = vr$15;
		goto label$65;
	}
	label$73:;
	label$72:;
	int64 vr$16 = HMATCHIDORKW( (char*)"STOP", 2048ll );
	if( vr$16 == 0ll) goto label$75;
	{
		if( IS_FUNC$1 == 0ll) goto label$77;
		{
			struct $7ASTNODE* vr$17 = HSFXVOIDINEXPR(  );
			fb$result$1 = vr$17;
			goto label$65;
		}
		label$77:;
		label$76:;
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		int64 vr$19 = HSFXNOARGS( HAD_PARENS$1 );
		if( vr$19 != 0ll) goto label$79;
		{
			fb$result$1 = (struct $7ASTNODE*)0ull;
			goto label$65;
		}
		label$79:;
		label$78:;
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$20 = RTLPROCLOOKUP( (char*)"fb_sfxMusicStop", 310ll );
		struct $7ASTNODE* vr$21 = HSFXCALL0( vr$20 );
		fb$result$1 = vr$21;
		goto label$65;
	}
	label$75:;
	label$74:;
	int64 vr$22 = HMATCHIDORKW( (char*)"PAUSE", 2048ll );
	if( vr$22 == 0ll) goto label$81;
	{
		if( IS_FUNC$1 == 0ll) goto label$83;
		{
			struct $7ASTNODE* vr$23 = HSFXVOIDINEXPR(  );
			fb$result$1 = vr$23;
			goto label$65;
		}
		label$83:;
		label$82:;
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		int64 vr$25 = HSFXNOARGS( HAD_PARENS$1 );
		if( vr$25 != 0ll) goto label$85;
		{
			fb$result$1 = (struct $7ASTNODE*)0ull;
			goto label$65;
		}
		label$85:;
		label$84:;
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$26 = RTLPROCLOOKUP( (char*)"fb_sfxMusicPause", 308ll );
		struct $7ASTNODE* vr$27 = HSFXCALL0( vr$26 );
		fb$result$1 = vr$27;
		goto label$65;
	}
	label$81:;
	label$80:;
	int64 vr$28 = HMATCHIDORKW( (char*)"RESUME", 2048ll );
	if( vr$28 == 0ll) goto label$87;
	{
		if( IS_FUNC$1 == 0ll) goto label$89;
		{
			struct $7ASTNODE* vr$29 = HSFXVOIDINEXPR(  );
			fb$result$1 = vr$29;
			goto label$65;
		}
		label$89:;
		label$88:;
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		int64 vr$31 = HSFXNOARGS( HAD_PARENS$1 );
		if( vr$31 != 0ll) goto label$91;
		{
			fb$result$1 = (struct $7ASTNODE*)0ull;
			goto label$65;
		}
		label$91:;
		label$90:;
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$32 = RTLPROCLOOKUP( (char*)"fb_sfxMusicResume", 309ll );
		struct $7ASTNODE* vr$33 = HSFXCALL0( vr$32 );
		fb$result$1 = vr$33;
		goto label$65;
	}
	label$87:;
	label$86:;
	int64 vr$34 = HMATCHIDORKW( (char*)"STATUS", 2048ll );
	if( vr$34 == 0ll) goto label$93;
	{
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		int64 vr$36 = HSFXNOARGS( HAD_PARENS$1 );
		if( vr$36 != 0ll) goto label$95;
		{
			fb$result$1 = (struct $7ASTNODE*)0ull;
			goto label$65;
		}
		label$95:;
		label$94:;
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$37 = RTLPROCLOOKUP( (char*)"fb_sfxMusicStatus", 311ll );
		struct $7ASTNODE* vr$38 = HSFXCALL0( vr$37 );
		fb$result$1 = vr$38;
		goto label$65;
	}
	label$93:;
	label$92:;
	int64 vr$39 = HMATCHIDORKW( (char*)"POSITION", 2048ll );
	if( vr$39 == 0ll) goto label$97;
	{
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		int64 vr$41 = HSFXNOARGS( HAD_PARENS$1 );
		if( vr$41 != 0ll) goto label$99;
		{
			fb$result$1 = (struct $7ASTNODE*)0ull;
			goto label$65;
		}
		label$99:;
		label$98:;
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$42 = RTLPROCLOOKUP( (char*)"fb_sfxMusicPosition", 312ll );
		struct $7ASTNODE* vr$43 = HSFXCALL0( vr$42 );
		fb$result$1 = vr$43;
		goto label$65;
	}
	label$97:;
	label$96:;
	ERRREPORT( 14ll, 0ll, (char*)0ull );
	fb$result$1 = (struct $7ASTNODE*)0ull;
	label$65:;
	return fb$result$1;
}

static struct $7ASTNODE* HPARSESFX( int64 IS_FUNC$1 )
{
	_unusedlabel: ; void *_llvmbug18658 = &&_unusedlabel;
	struct $7ASTNODE* fb$result$1;
	__builtin_memset( &fb$result$1, 0, 8ll );
	label$100:;
	int64 HAD_PARENS$1;
	__builtin_memset( &HAD_PARENS$1, 0, 8ll );
	struct $7ASTNODE* EXPR1$1;
	__builtin_memset( &EXPR1$1, 0, 8ll );
	struct $7ASTNODE* EXPR2$1;
	__builtin_memset( &EXPR2$1, 0, 8ll );
	struct $7ASTNODE* EXPR3$1;
	__builtin_memset( &EXPR3$1, 0, 8ll );
	LEXSKIPTOKEN( 2048ll );
	int64 vr$5 = HMATCHIDORKW( (char*)"LOAD", 2048ll );
	if( vr$5 == 0ll) goto label$103;
	{
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		struct $7ASTNODE* vr$7 = HMATCHEXPR( 11ll );
		EXPR1$1 = vr$7;
		if( EXPR1$1 != (struct $7ASTNODE*)0ull) goto label$105;
		{
			goto label$101;
		}
		label$105:;
		label$104:;
		int64 vr$8 = LEXGETTOKEN( 0ll );
		if( vr$8 == 44ll) goto label$107;
		{
			ERRREPORT( 16ll, 0ll, (char*)0ull );
		}
		goto label$106;
		label$107:;
		{
			LEXSKIPTOKEN( 0ll );
		}
		label$106:;
		struct $7ASTNODE* vr$9 = HMATCHEXPR( 17ll );
		EXPR2$1 = vr$9;
		if( EXPR2$1 != (struct $7ASTNODE*)0ull) goto label$109;
		{
			goto label$101;
		}
		label$109:;
		label$108:;
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$10 = RTLPROCLOOKUP( (char*)"fb_sfxSfxLoad", 313ll );
		struct $7ASTNODE* vr$11 = HSFXCALL2( vr$10, EXPR1$1, EXPR2$1 );
		fb$result$1 = vr$11;
		goto label$101;
	}
	label$103:;
	label$102:;
	int64 vr$12 = HMATCHIDORKW( (char*)"PLAY", 2048ll );
	if( vr$12 == 0ll) goto label$111;
	{
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		struct $7ASTNODE* vr$14 = HMATCHEXPR( 11ll );
		EXPR1$1 = vr$14;
		if( EXPR1$1 != (struct $7ASTNODE*)0ull) goto label$113;
		{
			goto label$101;
		}
		label$113:;
		label$112:;
		int64 vr$15 = HMATCH( 44ll, 0ll );
		if( vr$15 == 0ll) goto label$115;
		{
			struct $7ASTNODE* vr$16 = HMATCHEXPR( 11ll );
			EXPR2$1 = vr$16;
			if( EXPR2$1 != (struct $7ASTNODE*)0ull) goto label$117;
			{
				goto label$101;
			}
			label$117:;
			label$116:;
			int64 vr$17 = HMATCH( 44ll, 0ll );
			if( vr$17 == 0ll) goto label$119;
			{
				struct $7ASTNODE* vr$18 = HMATCHEXPR( 15ll );
				EXPR3$1 = vr$18;
				if( EXPR3$1 != (struct $7ASTNODE*)0ull) goto label$121;
				{
					goto label$101;
				}
				label$121:;
				label$120:;
				HSFXOPTENDARGS( HAD_PARENS$1 );
				struct $8FBSYMBOL* vr$19 = RTLPROCLOOKUP( (char*)"fb_sfxSfxPlayChannelPitch", 316ll );
				struct $7ASTNODE* vr$20 = HSFXCALL3( vr$19, EXPR1$1, EXPR2$1, EXPR3$1 );
				fb$result$1 = vr$20;
				goto label$101;
			}
			label$119:;
			label$118:;
			HSFXOPTENDARGS( HAD_PARENS$1 );
			struct $8FBSYMBOL* vr$21 = RTLPROCLOOKUP( (char*)"fb_sfxSfxPlayChannel", 315ll );
			struct $7ASTNODE* vr$22 = HSFXCALL2( vr$21, EXPR1$1, EXPR2$1 );
			fb$result$1 = vr$22;
			goto label$101;
		}
		label$115:;
		label$114:;
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$23 = RTLPROCLOOKUP( (char*)"fb_sfxSfxPlay", 314ll );
		struct $7ASTNODE* vr$24 = HSFXCALL1( vr$23, EXPR1$1 );
		fb$result$1 = vr$24;
		goto label$101;
	}
	label$111:;
	label$110:;
	int64 vr$25 = HMATCHIDORKW( (char*)"LOOP", 2048ll );
	if( vr$25 == 0ll) goto label$123;
	{
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		struct $7ASTNODE* vr$27 = HMATCHEXPR( 11ll );
		EXPR1$1 = vr$27;
		if( EXPR1$1 != (struct $7ASTNODE*)0ull) goto label$125;
		{
			goto label$101;
		}
		label$125:;
		label$124:;
		int64 vr$28 = HMATCH( 44ll, 0ll );
		if( vr$28 == 0ll) goto label$127;
		{
			struct $7ASTNODE* vr$29 = HMATCHEXPR( 11ll );
			EXPR2$1 = vr$29;
			if( EXPR2$1 != (struct $7ASTNODE*)0ull) goto label$129;
			{
				goto label$101;
			}
			label$129:;
			label$128:;
			int64 vr$30 = HMATCH( 44ll, 0ll );
			if( vr$30 == 0ll) goto label$131;
			{
				struct $7ASTNODE* vr$31 = HMATCHEXPR( 15ll );
				EXPR3$1 = vr$31;
				if( EXPR3$1 != (struct $7ASTNODE*)0ull) goto label$133;
				{
					goto label$101;
				}
				label$133:;
				label$132:;
				HSFXOPTENDARGS( HAD_PARENS$1 );
				struct $8FBSYMBOL* vr$32 = RTLPROCLOOKUP( (char*)"fb_sfxSfxLoopChannelPitch", 319ll );
				struct $7ASTNODE* vr$33 = HSFXCALL3( vr$32, EXPR1$1, EXPR2$1, EXPR3$1 );
				fb$result$1 = vr$33;
				goto label$101;
			}
			label$131:;
			label$130:;
			HSFXOPTENDARGS( HAD_PARENS$1 );
			struct $8FBSYMBOL* vr$34 = RTLPROCLOOKUP( (char*)"fb_sfxSfxLoopChannel", 318ll );
			struct $7ASTNODE* vr$35 = HSFXCALL2( vr$34, EXPR1$1, EXPR2$1 );
			fb$result$1 = vr$35;
			goto label$101;
		}
		label$127:;
		label$126:;
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$36 = RTLPROCLOOKUP( (char*)"fb_sfxSfxLoop", 317ll );
		struct $7ASTNODE* vr$37 = HSFXCALL1( vr$36, EXPR1$1 );
		fb$result$1 = vr$37;
		goto label$101;
	}
	label$123:;
	label$122:;
	int64 vr$38 = HMATCHIDORKW( (char*)"STOP", 2048ll );
	if( vr$38 == 0ll) goto label$135;
	{
		int64 TMP$125$2;
		int64 TMP$127$2;
		if( IS_FUNC$1 == 0ll) goto label$137;
		{
			struct $7ASTNODE* vr$39 = HSFXVOIDINEXPR(  );
			fb$result$1 = vr$39;
			goto label$101;
		}
		label$137:;
		label$136:;
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		if( HAD_PARENS$1 != 0ll) goto label$138;
		int64 vr$41 = HSFXATSTMTEND(  );
		TMP$125$2 = (int64)-(vr$41 != 0ll);
		goto label$313;
		label$138:;
		TMP$125$2 = 0ll;
		label$313:;
		if( TMP$125$2 == 0ll) goto label$140;
		{
			struct $8FBSYMBOL* vr$43 = RTLPROCLOOKUP( (char*)"fb_sfxSfxStopAll", 322ll );
			struct $7ASTNODE* vr$44 = HSFXCALL0( vr$43 );
			fb$result$1 = vr$44;
			goto label$101;
		}
		label$140:;
		label$139:;
		if( HAD_PARENS$1 == 0ll) goto label$141;
		int64 vr$45 = LEXGETTOKEN( 0ll );
		TMP$127$2 = (int64)-(vr$45 == 41ll);
		goto label$314;
		label$141:;
		TMP$127$2 = 0ll;
		label$314:;
		if( TMP$127$2 == 0ll) goto label$143;
		{
			HSFXOPTENDARGS( HAD_PARENS$1 );
			struct $8FBSYMBOL* vr$47 = RTLPROCLOOKUP( (char*)"fb_sfxSfxStopAll", 322ll );
			struct $7ASTNODE* vr$48 = HSFXCALL0( vr$47 );
			fb$result$1 = vr$48;
			goto label$101;
		}
		label$143:;
		label$142:;
		int64 vr$49 = HMATCHIDORKW( (char*)"CHANNEL", 2048ll );
		if( vr$49 == 0ll) goto label$145;
		{
			int64 vr$50 = LEXGETTOKEN( 0ll );
			if( vr$50 == 44ll) goto label$147;
			{
				ERRREPORT( 16ll, 0ll, (char*)0ull );
			}
			goto label$146;
			label$147:;
			{
				LEXSKIPTOKEN( 0ll );
			}
			label$146:;
			struct $7ASTNODE* vr$51 = HMATCHEXPR( 11ll );
			EXPR1$1 = vr$51;
			if( EXPR1$1 != (struct $7ASTNODE*)0ull) goto label$149;
			{
				goto label$101;
			}
			label$149:;
			label$148:;
			HSFXOPTENDARGS( HAD_PARENS$1 );
			struct $8FBSYMBOL* vr$52 = RTLPROCLOOKUP( (char*)"fb_sfxSfxStopChannel", 321ll );
			struct $7ASTNODE* vr$53 = HSFXCALL1( vr$52, EXPR1$1 );
			fb$result$1 = vr$53;
			goto label$101;
		}
		label$145:;
		label$144:;
		struct $7ASTNODE* vr$54 = HMATCHEXPR( 11ll );
		EXPR1$1 = vr$54;
		if( EXPR1$1 != (struct $7ASTNODE*)0ull) goto label$151;
		{
			goto label$101;
		}
		label$151:;
		label$150:;
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$55 = RTLPROCLOOKUP( (char*)"fb_sfxSfxStop", 320ll );
		struct $7ASTNODE* vr$56 = HSFXCALL1( vr$55, EXPR1$1 );
		fb$result$1 = vr$56;
		goto label$101;
	}
	label$135:;
	label$134:;
	int64 vr$57 = HMATCHIDORKW( (char*)"PAUSE", 2048ll );
	if( vr$57 == 0ll) goto label$153;
	{
		int64 TMP$131$2;
		int64 TMP$133$2;
		if( IS_FUNC$1 == 0ll) goto label$155;
		{
			struct $7ASTNODE* vr$58 = HSFXVOIDINEXPR(  );
			fb$result$1 = vr$58;
			goto label$101;
		}
		label$155:;
		label$154:;
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		if( HAD_PARENS$1 != 0ll) goto label$156;
		int64 vr$60 = HSFXATSTMTEND(  );
		TMP$131$2 = (int64)-(vr$60 != 0ll);
		goto label$315;
		label$156:;
		TMP$131$2 = 0ll;
		label$315:;
		if( TMP$131$2 == 0ll) goto label$158;
		{
			struct $8FBSYMBOL* vr$62 = RTLPROCLOOKUP( (char*)"fb_sfxSfxPauseAll", 325ll );
			struct $7ASTNODE* vr$63 = HSFXCALL0( vr$62 );
			fb$result$1 = vr$63;
			goto label$101;
		}
		label$158:;
		label$157:;
		if( HAD_PARENS$1 == 0ll) goto label$159;
		int64 vr$64 = LEXGETTOKEN( 0ll );
		TMP$133$2 = (int64)-(vr$64 == 41ll);
		goto label$316;
		label$159:;
		TMP$133$2 = 0ll;
		label$316:;
		if( TMP$133$2 == 0ll) goto label$161;
		{
			HSFXOPTENDARGS( HAD_PARENS$1 );
			struct $8FBSYMBOL* vr$66 = RTLPROCLOOKUP( (char*)"fb_sfxSfxPauseAll", 325ll );
			struct $7ASTNODE* vr$67 = HSFXCALL0( vr$66 );
			fb$result$1 = vr$67;
			goto label$101;
		}
		label$161:;
		label$160:;
		int64 vr$68 = HMATCHIDORKW( (char*)"CHANNEL", 2048ll );
		if( vr$68 == 0ll) goto label$163;
		{
			int64 vr$69 = LEXGETTOKEN( 0ll );
			if( vr$69 == 44ll) goto label$165;
			{
				ERRREPORT( 16ll, 0ll, (char*)0ull );
			}
			goto label$164;
			label$165:;
			{
				LEXSKIPTOKEN( 0ll );
			}
			label$164:;
			struct $7ASTNODE* vr$70 = HMATCHEXPR( 11ll );
			EXPR1$1 = vr$70;
			if( EXPR1$1 != (struct $7ASTNODE*)0ull) goto label$167;
			{
				goto label$101;
			}
			label$167:;
			label$166:;
			HSFXOPTENDARGS( HAD_PARENS$1 );
			struct $8FBSYMBOL* vr$71 = RTLPROCLOOKUP( (char*)"fb_sfxSfxPauseChannel", 324ll );
			struct $7ASTNODE* vr$72 = HSFXCALL1( vr$71, EXPR1$1 );
			fb$result$1 = vr$72;
			goto label$101;
		}
		label$163:;
		label$162:;
		struct $7ASTNODE* vr$73 = HMATCHEXPR( 11ll );
		EXPR1$1 = vr$73;
		if( EXPR1$1 != (struct $7ASTNODE*)0ull) goto label$169;
		{
			goto label$101;
		}
		label$169:;
		label$168:;
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$74 = RTLPROCLOOKUP( (char*)"fb_sfxSfxPause", 323ll );
		struct $7ASTNODE* vr$75 = HSFXCALL1( vr$74, EXPR1$1 );
		fb$result$1 = vr$75;
		goto label$101;
	}
	label$153:;
	label$152:;
	int64 vr$76 = HMATCHIDORKW( (char*)"RESUME", 2048ll );
	if( vr$76 == 0ll) goto label$171;
	{
		int64 TMP$136$2;
		int64 TMP$138$2;
		if( IS_FUNC$1 == 0ll) goto label$173;
		{
			struct $7ASTNODE* vr$77 = HSFXVOIDINEXPR(  );
			fb$result$1 = vr$77;
			goto label$101;
		}
		label$173:;
		label$172:;
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		if( HAD_PARENS$1 != 0ll) goto label$174;
		int64 vr$79 = HSFXATSTMTEND(  );
		TMP$136$2 = (int64)-(vr$79 != 0ll);
		goto label$317;
		label$174:;
		TMP$136$2 = 0ll;
		label$317:;
		if( TMP$136$2 == 0ll) goto label$176;
		{
			struct $8FBSYMBOL* vr$81 = RTLPROCLOOKUP( (char*)"fb_sfxSfxResumeAll", 328ll );
			struct $7ASTNODE* vr$82 = HSFXCALL0( vr$81 );
			fb$result$1 = vr$82;
			goto label$101;
		}
		label$176:;
		label$175:;
		if( HAD_PARENS$1 == 0ll) goto label$177;
		int64 vr$83 = LEXGETTOKEN( 0ll );
		TMP$138$2 = (int64)-(vr$83 == 41ll);
		goto label$318;
		label$177:;
		TMP$138$2 = 0ll;
		label$318:;
		if( TMP$138$2 == 0ll) goto label$179;
		{
			HSFXOPTENDARGS( HAD_PARENS$1 );
			struct $8FBSYMBOL* vr$85 = RTLPROCLOOKUP( (char*)"fb_sfxSfxResumeAll", 328ll );
			struct $7ASTNODE* vr$86 = HSFXCALL0( vr$85 );
			fb$result$1 = vr$86;
			goto label$101;
		}
		label$179:;
		label$178:;
		int64 vr$87 = HMATCHIDORKW( (char*)"CHANNEL", 2048ll );
		if( vr$87 == 0ll) goto label$181;
		{
			int64 vr$88 = LEXGETTOKEN( 0ll );
			if( vr$88 == 44ll) goto label$183;
			{
				ERRREPORT( 16ll, 0ll, (char*)0ull );
			}
			goto label$182;
			label$183:;
			{
				LEXSKIPTOKEN( 0ll );
			}
			label$182:;
			struct $7ASTNODE* vr$89 = HMATCHEXPR( 11ll );
			EXPR1$1 = vr$89;
			if( EXPR1$1 != (struct $7ASTNODE*)0ull) goto label$185;
			{
				goto label$101;
			}
			label$185:;
			label$184:;
			HSFXOPTENDARGS( HAD_PARENS$1 );
			struct $8FBSYMBOL* vr$90 = RTLPROCLOOKUP( (char*)"fb_sfxSfxResumeChannel", 327ll );
			struct $7ASTNODE* vr$91 = HSFXCALL1( vr$90, EXPR1$1 );
			fb$result$1 = vr$91;
			goto label$101;
		}
		label$181:;
		label$180:;
		struct $7ASTNODE* vr$92 = HMATCHEXPR( 11ll );
		EXPR1$1 = vr$92;
		if( EXPR1$1 != (struct $7ASTNODE*)0ull) goto label$187;
		{
			goto label$101;
		}
		label$187:;
		label$186:;
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$93 = RTLPROCLOOKUP( (char*)"fb_sfxSfxResume", 326ll );
		struct $7ASTNODE* vr$94 = HSFXCALL1( vr$93, EXPR1$1 );
		fb$result$1 = vr$94;
		goto label$101;
	}
	label$171:;
	label$170:;
	int64 vr$95 = HMATCHIDORKW( (char*)"STATUS", 2048ll );
	if( vr$95 == 0ll) goto label$189;
	{
		int64 TMP$141$2;
		int64 TMP$142$2;
		int64 TMP$144$2;
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		if( HAD_PARENS$1 != 0ll) goto label$190;
		TMP$141$2 = (int64)-(IS_FUNC$1 == 0ll);
		goto label$319;
		label$190:;
		TMP$141$2 = 0ll;
		label$319:;
		if( TMP$141$2 == 0ll) goto label$191;
		int64 vr$98 = HSFXATSTMTEND(  );
		TMP$142$2 = (int64)-(vr$98 != 0ll);
		goto label$320;
		label$191:;
		TMP$142$2 = 0ll;
		label$320:;
		if( TMP$142$2 == 0ll) goto label$193;
		{
			struct $8FBSYMBOL* vr$100 = RTLPROCLOOKUP( (char*)"fb_sfxSfxAnyActive", 331ll );
			struct $7ASTNODE* vr$101 = HSFXCALL0( vr$100 );
			fb$result$1 = vr$101;
			goto label$101;
		}
		label$193:;
		label$192:;
		if( HAD_PARENS$1 == 0ll) goto label$194;
		int64 vr$102 = LEXGETTOKEN( 0ll );
		TMP$144$2 = (int64)-(vr$102 == 41ll);
		goto label$321;
		label$194:;
		TMP$144$2 = 0ll;
		label$321:;
		if( TMP$144$2 == 0ll) goto label$196;
		{
			HSFXOPTENDARGS( HAD_PARENS$1 );
			struct $8FBSYMBOL* vr$104 = RTLPROCLOOKUP( (char*)"fb_sfxSfxAnyActive", 331ll );
			struct $7ASTNODE* vr$105 = HSFXCALL0( vr$104 );
			fb$result$1 = vr$105;
			goto label$101;
		}
		label$196:;
		label$195:;
		int64 vr$106 = HMATCHIDORKW( (char*)"CHANNEL", 2048ll );
		if( vr$106 == 0ll) goto label$198;
		{
			int64 vr$107 = LEXGETTOKEN( 0ll );
			if( vr$107 == 44ll) goto label$200;
			{
				ERRREPORT( 16ll, 0ll, (char*)0ull );
			}
			goto label$199;
			label$200:;
			{
				LEXSKIPTOKEN( 0ll );
			}
			label$199:;
			struct $7ASTNODE* vr$108 = HMATCHEXPR( 11ll );
			EXPR1$1 = vr$108;
			if( EXPR1$1 != (struct $7ASTNODE*)0ull) goto label$202;
			{
				goto label$101;
			}
			label$202:;
			label$201:;
			HSFXOPTENDARGS( HAD_PARENS$1 );
			struct $8FBSYMBOL* vr$109 = RTLPROCLOOKUP( (char*)"fb_sfxSfxStatusChannel", 330ll );
			struct $7ASTNODE* vr$110 = HSFXCALL1( vr$109, EXPR1$1 );
			fb$result$1 = vr$110;
			goto label$101;
		}
		label$198:;
		label$197:;
		struct $7ASTNODE* vr$111 = HMATCHEXPR( 11ll );
		EXPR1$1 = vr$111;
		if( EXPR1$1 != (struct $7ASTNODE*)0ull) goto label$204;
		{
			goto label$101;
		}
		label$204:;
		label$203:;
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$112 = RTLPROCLOOKUP( (char*)"fb_sfxSfxStatus", 329ll );
		struct $7ASTNODE* vr$113 = HSFXCALL1( vr$112, EXPR1$1 );
		fb$result$1 = vr$113;
		goto label$101;
	}
	label$189:;
	label$188:;
	ERRREPORT( 14ll, 0ll, (char*)0ull );
	fb$result$1 = (struct $7ASTNODE*)0ull;
	label$101:;
	return fb$result$1;
}

static struct $7ASTNODE* HPARSEMIDI( int64 IS_FUNC$1 )
{
	_unusedlabel: ; void *_llvmbug18658 = &&_unusedlabel;
	struct $7ASTNODE* fb$result$1;
	__builtin_memset( &fb$result$1, 0, 8ll );
	label$205:;
	int64 HAD_PARENS$1;
	__builtin_memset( &HAD_PARENS$1, 0, 8ll );
	struct $7ASTNODE* EXPR1$1;
	__builtin_memset( &EXPR1$1, 0, 8ll );
	struct $7ASTNODE* EXPR2$1;
	__builtin_memset( &EXPR2$1, 0, 8ll );
	struct $7ASTNODE* EXPR3$1;
	__builtin_memset( &EXPR3$1, 0, 8ll );
	LEXSKIPTOKEN( 2048ll );
	int64 vr$5 = HMATCHIDORKW( (char*)"OPEN", 2048ll );
	if( vr$5 == 0ll) goto label$208;
	{
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		struct $7ASTNODE* vr$7 = HMATCHEXPR( 11ll );
		EXPR1$1 = vr$7;
		if( EXPR1$1 != (struct $7ASTNODE*)0ull) goto label$210;
		{
			goto label$206;
		}
		label$210:;
		label$209:;
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$8 = RTLPROCLOOKUP( (char*)"fb_sfxMidiOpen", 332ll );
		struct $7ASTNODE* vr$9 = HSFXCALL1( vr$8, EXPR1$1 );
		fb$result$1 = vr$9;
		goto label$206;
	}
	label$208:;
	label$207:;
	int64 vr$10 = HMATCHIDORKW( (char*)"CLOSE", 2048ll );
	if( vr$10 == 0ll) goto label$212;
	{
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$12 = RTLPROCLOOKUP( (char*)"fb_sfxMidiClose", 333ll );
		struct $7ASTNODE* vr$13 = HSFXCALL0( vr$12 );
		fb$result$1 = vr$13;
		goto label$206;
	}
	label$212:;
	label$211:;
	int64 vr$14 = HMATCHIDORKW( (char*)"PLAY", 2048ll );
	if( vr$14 == 0ll) goto label$214;
	{
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		struct $7ASTNODE* vr$16 = HMATCHEXPR( 17ll );
		EXPR1$1 = vr$16;
		if( EXPR1$1 != (struct $7ASTNODE*)0ull) goto label$216;
		{
			goto label$206;
		}
		label$216:;
		label$215:;
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$17 = RTLPROCLOOKUP( (char*)"fb_sfxMidiPlay", 334ll );
		struct $7ASTNODE* vr$18 = HSFXCALL1( vr$17, EXPR1$1 );
		fb$result$1 = vr$18;
		goto label$206;
	}
	label$214:;
	label$213:;
	int64 vr$19 = HMATCHIDORKW( (char*)"STOP", 2048ll );
	if( vr$19 == 0ll) goto label$218;
	{
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$21 = RTLPROCLOOKUP( (char*)"fb_sfxMidiStop", 335ll );
		struct $7ASTNODE* vr$22 = HSFXCALL0( vr$21 );
		fb$result$1 = vr$22;
		goto label$206;
	}
	label$218:;
	label$217:;
	int64 vr$23 = HMATCHIDORKW( (char*)"PAUSE", 2048ll );
	if( vr$23 == 0ll) goto label$220;
	{
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$25 = RTLPROCLOOKUP( (char*)"fb_sfxMidiPause", 336ll );
		struct $7ASTNODE* vr$26 = HSFXCALL0( vr$25 );
		fb$result$1 = vr$26;
		goto label$206;
	}
	label$220:;
	label$219:;
	int64 vr$27 = HMATCHIDORKW( (char*)"RESUME", 2048ll );
	if( vr$27 == 0ll) goto label$222;
	{
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$29 = RTLPROCLOOKUP( (char*)"fb_sfxMidiResume", 337ll );
		struct $7ASTNODE* vr$30 = HSFXCALL0( vr$29 );
		fb$result$1 = vr$30;
		goto label$206;
	}
	label$222:;
	label$221:;
	int64 vr$31 = HMATCHIDORKW( (char*)"SEND", 2048ll );
	if( vr$31 == 0ll) goto label$224;
	{
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		struct $7ASTNODE* vr$33 = HMATCHEXPR( 11ll );
		EXPR1$1 = vr$33;
		if( EXPR1$1 != (struct $7ASTNODE*)0ull) goto label$226;
		{
			goto label$206;
		}
		label$226:;
		label$225:;
		int64 vr$34 = LEXGETTOKEN( 0ll );
		if( vr$34 == 44ll) goto label$228;
		{
			ERRREPORT( 16ll, 0ll, (char*)0ull );
		}
		goto label$227;
		label$228:;
		{
			LEXSKIPTOKEN( 0ll );
		}
		label$227:;
		struct $7ASTNODE* vr$35 = HMATCHEXPR( 11ll );
		EXPR2$1 = vr$35;
		if( EXPR2$1 != (struct $7ASTNODE*)0ull) goto label$230;
		{
			goto label$206;
		}
		label$230:;
		label$229:;
		int64 vr$36 = LEXGETTOKEN( 0ll );
		if( vr$36 == 44ll) goto label$232;
		{
			ERRREPORT( 16ll, 0ll, (char*)0ull );
		}
		goto label$231;
		label$232:;
		{
			LEXSKIPTOKEN( 0ll );
		}
		label$231:;
		struct $7ASTNODE* vr$37 = HMATCHEXPR( 11ll );
		EXPR3$1 = vr$37;
		if( EXPR3$1 != (struct $7ASTNODE*)0ull) goto label$234;
		{
			goto label$206;
		}
		label$234:;
		label$233:;
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$38 = RTLPROCLOOKUP( (char*)"fb_sfxMidiSend", 338ll );
		struct $7ASTNODE* vr$39 = HSFXCALL3( vr$38, EXPR1$1, EXPR2$1, EXPR3$1 );
		fb$result$1 = vr$39;
		goto label$206;
	}
	label$224:;
	label$223:;
	ERRREPORT( 14ll, 0ll, (char*)0ull );
	fb$result$1 = (struct $7ASTNODE*)0ull;
	label$206:;
	return fb$result$1;
}

static struct $7ASTNODE* HPARSEDEVICE( int64 IS_FUNC$1 )
{
	_unusedlabel: ; void *_llvmbug18658 = &&_unusedlabel;
	struct $7ASTNODE* fb$result$1;
	__builtin_memset( &fb$result$1, 0, 8ll );
	label$235:;
	int64 HAD_PARENS$1;
	__builtin_memset( &HAD_PARENS$1, 0, 8ll );
	struct $7ASTNODE* EXPR1$1;
	__builtin_memset( &EXPR1$1, 0, 8ll );
	LEXSKIPTOKEN( 2048ll );
	int64 vr$3 = HMATCHIDORKW( (char*)"LIST", 2048ll );
	if( vr$3 == 0ll) goto label$238;
	{
		if( IS_FUNC$1 == 0ll) goto label$240;
		{
			struct $7ASTNODE* vr$4 = HSFXVOIDINEXPR(  );
			fb$result$1 = vr$4;
			goto label$236;
			label$240:;
		}
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$6 = RTLPROCLOOKUP( (char*)"fb_sfxDeviceList", 339ll );
		struct $7ASTNODE* vr$7 = HSFXCALL0( vr$6 );
		fb$result$1 = vr$7;
		goto label$236;
	}
	label$238:;
	label$237:;
	int64 vr$8 = HMATCHIDORKW( (char*)"SELECT", 2048ll );
	if( vr$8 == 0ll) goto label$242;
	{
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		struct $7ASTNODE* vr$10 = HMATCHEXPR( 11ll );
		EXPR1$1 = vr$10;
		if( EXPR1$1 != (struct $7ASTNODE*)0ull) goto label$244;
		{
			goto label$236;
		}
		label$244:;
		label$243:;
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$11 = RTLPROCLOOKUP( (char*)"fb_sfxDeviceSelect", 340ll );
		struct $7ASTNODE* vr$12 = HSFXCALL1( vr$11, EXPR1$1 );
		fb$result$1 = vr$12;
		goto label$236;
	}
	label$242:;
	label$241:;
	int64 vr$13 = HMATCHIDORKW( (char*)"INFO", 2048ll );
	if( vr$13 == 0ll) goto label$246;
	{
		int64 TMP$162$2;
		int64 TMP$164$2;
		if( IS_FUNC$1 == 0ll) goto label$248;
		{
			struct $7ASTNODE* vr$14 = HSFXVOIDINEXPR(  );
			fb$result$1 = vr$14;
			goto label$236;
			label$248:;
		}
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		if( HAD_PARENS$1 != 0ll) goto label$249;
		int64 vr$16 = HSFXATSTMTEND(  );
		TMP$162$2 = (int64)-(vr$16 != 0ll);
		goto label$322;
		label$249:;
		TMP$162$2 = 0ll;
		label$322:;
		if( TMP$162$2 == 0ll) goto label$251;
		{
			struct $8FBSYMBOL* vr$18 = RTLPROCLOOKUP( (char*)"fb_sfxDeviceInfoCurrent", 342ll );
			struct $7ASTNODE* vr$19 = HSFXCALL0( vr$18 );
			fb$result$1 = vr$19;
			goto label$236;
		}
		label$251:;
		label$250:;
		if( HAD_PARENS$1 == 0ll) goto label$252;
		int64 vr$20 = LEXGETTOKEN( 0ll );
		TMP$164$2 = (int64)-(vr$20 == 41ll);
		goto label$323;
		label$252:;
		TMP$164$2 = 0ll;
		label$323:;
		if( TMP$164$2 == 0ll) goto label$254;
		{
			HSFXOPTENDARGS( HAD_PARENS$1 );
			struct $8FBSYMBOL* vr$22 = RTLPROCLOOKUP( (char*)"fb_sfxDeviceInfoCurrent", 342ll );
			struct $7ASTNODE* vr$23 = HSFXCALL0( vr$22 );
			fb$result$1 = vr$23;
			goto label$236;
		}
		label$254:;
		label$253:;
		struct $7ASTNODE* vr$24 = HMATCHEXPR( 11ll );
		EXPR1$1 = vr$24;
		if( EXPR1$1 != (struct $7ASTNODE*)0ull) goto label$256;
		{
			goto label$236;
		}
		label$256:;
		label$255:;
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$25 = RTLPROCLOOKUP( (char*)"fb_sfxDeviceInfo", 341ll );
		struct $7ASTNODE* vr$26 = HSFXCALL1( vr$25, EXPR1$1 );
		fb$result$1 = vr$26;
		goto label$236;
	}
	label$246:;
	label$245:;
	ERRREPORT( 14ll, 0ll, (char*)0ull );
	fb$result$1 = (struct $7ASTNODE*)0ull;
	label$236:;
	return fb$result$1;
}

static struct $7ASTNODE* HPARSECAPTURE( int64 IS_FUNC$1 )
{
	_unusedlabel: ; void *_llvmbug18658 = &&_unusedlabel;
	struct $7ASTNODE* fb$result$1;
	__builtin_memset( &fb$result$1, 0, 8ll );
	label$257:;
	int64 HAD_PARENS$1;
	__builtin_memset( &HAD_PARENS$1, 0, 8ll );
	struct $7ASTNODE* EXPR1$1;
	__builtin_memset( &EXPR1$1, 0, 8ll );
	struct $7ASTNODE* EXPR2$1;
	__builtin_memset( &EXPR2$1, 0, 8ll );
	LEXSKIPTOKEN( 2048ll );
	int64 vr$4 = HMATCHIDORKW( (char*)"START", 2048ll );
	if( vr$4 == 0ll) goto label$260;
	{
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$6 = RTLPROCLOOKUP( (char*)"fb_sfxCaptureStart", 343ll );
		struct $7ASTNODE* vr$7 = HSFXCALL0( vr$6 );
		fb$result$1 = vr$7;
		goto label$258;
	}
	label$260:;
	label$259:;
	int64 vr$8 = HMATCHIDORKW( (char*)"STOP", 2048ll );
	if( vr$8 == 0ll) goto label$262;
	{
		if( IS_FUNC$1 == 0ll) goto label$264;
		{
			struct $7ASTNODE* vr$9 = HSFXVOIDINEXPR(  );
			fb$result$1 = vr$9;
			goto label$258;
			label$264:;
		}
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$11 = RTLPROCLOOKUP( (char*)"fb_sfxCaptureStop", 344ll );
		struct $7ASTNODE* vr$12 = HSFXCALL0( vr$11 );
		fb$result$1 = vr$12;
		goto label$258;
	}
	label$262:;
	label$261:;
	int64 vr$13 = HMATCHIDORKW( (char*)"PAUSE", 2048ll );
	if( vr$13 == 0ll) goto label$266;
	{
		if( IS_FUNC$1 == 0ll) goto label$268;
		{
			struct $7ASTNODE* vr$14 = HSFXVOIDINEXPR(  );
			fb$result$1 = vr$14;
			goto label$258;
			label$268:;
		}
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$16 = RTLPROCLOOKUP( (char*)"fb_sfxCapturePause", 345ll );
		struct $7ASTNODE* vr$17 = HSFXCALL0( vr$16 );
		fb$result$1 = vr$17;
		goto label$258;
	}
	label$266:;
	label$265:;
	int64 vr$18 = HMATCHIDORKW( (char*)"RESUME", 2048ll );
	if( vr$18 == 0ll) goto label$270;
	{
		if( IS_FUNC$1 == 0ll) goto label$272;
		{
			struct $7ASTNODE* vr$19 = HSFXVOIDINEXPR(  );
			fb$result$1 = vr$19;
			goto label$258;
			label$272:;
		}
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$21 = RTLPROCLOOKUP( (char*)"fb_sfxCaptureResume", 346ll );
		struct $7ASTNODE* vr$22 = HSFXCALL0( vr$21 );
		fb$result$1 = vr$22;
		goto label$258;
	}
	label$270:;
	label$269:;
	int64 vr$23 = HMATCHIDORKW( (char*)"STATUS", 2048ll );
	if( vr$23 == 0ll) goto label$274;
	{
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$25 = RTLPROCLOOKUP( (char*)"fb_sfxCaptureStatus", 347ll );
		struct $7ASTNODE* vr$26 = HSFXCALL0( vr$25 );
		fb$result$1 = vr$26;
		goto label$258;
	}
	label$274:;
	label$273:;
	int64 vr$27 = HMATCHIDORKW( (char*)"SAVE", 2048ll );
	if( vr$27 == 0ll) goto label$276;
	{
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		struct $7ASTNODE* vr$29 = HMATCHEXPR( 17ll );
		EXPR1$1 = vr$29;
		if( EXPR1$1 != (struct $7ASTNODE*)0ull) goto label$278;
		{
			goto label$258;
		}
		label$278:;
		label$277:;
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$30 = RTLPROCLOOKUP( (char*)"fb_sfxCaptureSaveCmd", 348ll );
		struct $7ASTNODE* vr$31 = HSFXCALL1( vr$30, EXPR1$1 );
		fb$result$1 = vr$31;
		goto label$258;
	}
	label$276:;
	label$275:;
	int64 vr$32 = HMATCHIDORKW( (char*)"AVAILABLE", 2048ll );
	if( vr$32 == 0ll) goto label$280;
	{
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$34 = RTLPROCLOOKUP( (char*)"fb_sfxCaptureAvailable", 349ll );
		struct $7ASTNODE* vr$35 = HSFXCALL0( vr$34 );
		fb$result$1 = vr$35;
		goto label$258;
	}
	label$280:;
	label$279:;
	int64 vr$36 = HMATCHIDORKW( (char*)"READ", 2048ll );
	if( vr$36 == 0ll) goto label$282;
	{
		HSFXOPTBEGINARGS( &HAD_PARENS$1 );
		struct $7ASTNODE* vr$38 = HMATCHEXPR( 47ll );
		EXPR1$1 = vr$38;
		if( EXPR1$1 != (struct $7ASTNODE*)0ull) goto label$284;
		{
			goto label$258;
		}
		label$284:;
		label$283:;
		int64 vr$39 = LEXGETTOKEN( 0ll );
		if( vr$39 == 44ll) goto label$286;
		{
			ERRREPORT( 16ll, 0ll, (char*)0ull );
		}
		goto label$285;
		label$286:;
		{
			LEXSKIPTOKEN( 0ll );
		}
		label$285:;
		struct $7ASTNODE* vr$40 = HMATCHEXPR( 11ll );
		EXPR2$1 = vr$40;
		if( EXPR2$1 != (struct $7ASTNODE*)0ull) goto label$288;
		{
			goto label$258;
		}
		label$288:;
		label$287:;
		HSFXOPTENDARGS( HAD_PARENS$1 );
		struct $8FBSYMBOL* vr$41 = RTLPROCLOOKUP( (char*)"fb_sfxCaptureReadSamples", 350ll );
		struct $7ASTNODE* vr$42 = HSFXCALL2( vr$41, EXPR1$1, EXPR2$1 );
		fb$result$1 = vr$42;
		goto label$258;
	}
	label$282:;
	label$281:;
	ERRREPORT( 14ll, 0ll, (char*)0ull );
	fb$result$1 = (struct $7ASTNODE*)0ull;
	label$258:;
	return fb$result$1;
}
